Bug 40457 - rhn_register fails to get version number under 6.2
rhn_register fails to get version number under 6.2
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
unspecified
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-13 22:03 EDT by T Axelrod
Modified: 2015-01-07 18:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-06 12:21:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description T Axelrod 2001-05-13 22:03:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0tsa i686)

Description of problem:
rhn_register fails at Step 3.  The GUI window shows 'ERROR'  for the
version field.
The following errors are reported to the terminal:
Traceback (innermost last):
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/share/rhn/register/gui.py", line 446, in onProfilePagePrepare
    label.set_text(rhnreg.getVersion())
  File "/usr/share/rhn/register/rhnreg.py", line 121, in getVersion
    index = db.findbyprovides("redhat-release")[0]
IndexError: list index out of range

I have installed all packages listed in
http://www.redhat.com/network/service/rhl_62.html


How reproducible:
Always

Steps to Reproduce:
1. Start rhn_register as root under X windows
2. Proceed through Step 2 with email name and password, etc
3. Fails immediately at Step 3
	

Actual Results:  GUI shows the wristwatch mouse pointer.  Terminal output
as described above.
Registration fails if the 'next' button is clicked.

Additional info:
Comment 1 Stephen Renker 2001-06-06 12:09:11 EDT
Ditto. Configuration is 6.2 out of the box installed as a KDE workstation, with
the following rpms installed or updated:

db3-3.1.17-4.6x.i386.rpm
db3-devel-3.1.17-4.6x.i386.rpm
db3-utils-3.1.17-4.6x.i386.rpm
openssl-0.9.5a-2.6.x.i386.rpm
popt-1.6.2-6x.i386.rpm
pygnome-libglade-0.6.4-1.i386.rpm
pygtk-libglade-0.6.4-1.i386.rpm
python-1.5.2-27.6.x.i386.rpm
python-xmlrpc-1.4-0.6.x.i386.rpm
rhn_register-1.3.2-0.6.x.noarch.rpm
rhn_register-gnome-1.3.2-0.6.x.noarch.rpm
rpm-4.0.2-6x.i386.rpm
rpm-build-4.0.2-6x.i386.rpm
rpm-devel-4.0.2-6x.i386.rpm
rpm-python-4.0.2-6x.i386.rpm
up2date-2.5.4-0.6.x.i386.rpm
up2date-gnome-2.5.4-0.6.x.i386.rpm
usermode-1.37-1.6.i386.rpm

Suspect something is missing that other 6.2 installations would have gotten in a
previous incremental upgrade. Obvious solution is to upgrade to 7.1, but I need
the downgraded glibc and tcl to keep Oracle happy.
Comment 2 Stephen Renker 2001-06-06 12:21:51 EDT
Solved my own problem. Do "rpm --rebuilddb" to rebuild your rpm database to the
new format before running rhn_register. The newer rpm python objects were
choking on the old database format.
Comment 3 Cristian Gafton 2001-06-11 16:46:15 EDT
solved by rpm --rebuilddb

Note You need to log in before you can comment on or make changes to this bug.